Package org.springframework.security.web.webauthn.api

# Class AuthenticatorAssertionResponse

java.lang.Object
org.springframework.security.web.webauthn.api.AuthenticatorResponse
org.springframework.security.web.webauthn.api.AuthenticatorAssertionResponse

All Implemented Interfaces:
  `Serializable`

public final class AuthenticatorAssertionResponse extends AuthenticatorResponse
The AuthenticatorAssertionResponse interface represents an authenticator's response to a client's request for generation of a new authentication assertion given the WebAuthn Relying Party's challenge and OPTIONAL list of credentials it is aware of. This response contains a cryptographic signature proving possession of the credential private key, and optionally evidence of user consent to a specific transaction.

Since:
  6.4
See Also:
  - `PublicKeyCredential.getResponse()`
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
Builds a `AuthenticatorAssertionResponse`.

## Method Summary

Modifier and Type
Method
Description
`static AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`builder()`
Creates a new `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`
`Bytes`
`getAttestationObject()`
The attestationObject is an OPTIONAL attribute contains an attestation object, if the authenticator supports attestation in assertions.
`Bytes`
`getAuthenticatorData()`
The authenticatorData contains the authenticator data returned by the authenticator.
`Bytes`
`getSignature()`
The signature contains the raw signature returned from the authenticator.
`Bytes`
`getUserHandle()`
The userHandle is the user handle which is returned from the authenticator, or null if the authenticator did not return a user handle.

### Methods inherited from class org.springframework.security.web.webauthn.api.AuthenticatorResponse

`getClientDataJSON`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAuthenticatorData

public Bytes getAuthenticatorData()
The authenticatorData contains the authenticator data returned by the authenticator. See 6.1 Authenticator Data..

Returns:
  the `authenticatorData`

### getSignature

public Bytes getSignature()
The signature contains the raw signature returned from the authenticator. See 6.3.3 The authenticatorGetAssertion Operation.

Returns:
  the `signature`

### getUserHandle

public Bytes getUserHandle()
The userHandle is the user handle which is returned from the authenticator, or null if the authenticator did not return a user handle. See 6.3.3 The authenticatorGetAssertion Operation. The authenticator MUST always return a user handle if the allowCredentials option used in the authentication ceremony is empty, and MAY return one otherwise.

Returns:
  the user handle

### getAttestationObject

public Bytes getAttestationObject()
The attestationObject is an OPTIONAL attribute contains an attestation object, if the authenticator supports attestation in assertions.

Returns:
  the `attestationObject`

### builder

public static AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder builder()
Creates a new `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`

Returns:
  the `AuthenticatorAssertionResponse.AuthenticatorAssertionResponseBuilder`